from easy_logging import Logger


def cal(x, y, z):
    return x * y / z


@Logger.catch
def cal1(x, y, z):
    return x * y / z


if __name__ == '__main__':
    Logger.info(11111)
    Logger.debug(222222)
    Logger.warning(333333)
    Logger.error(444444)
    Logger.exception(555555)

    cal1(1, 2, 0)

    try:
        cal(1, 2, 0)
    except Exception as e:
        Logger.exception(e)

